Subject: Re: HTTP Alternative Services Best Practices?

From: Daniel Stenberg <[email-masked]>
Date: Wed, 22 Jan 2020 09:05:15 +0100 (CET)

On Tue, 17 Dec 2019, Daniel Stenberg wrote:

Me and Lucas ran into a few other "interesting" alt-svc related details:

The Alt-Used header is specified to only include host + port. Meaning, that if 
we switch from h1/h2 to to h3 (on the same host and port) we'd specify an 
identical host + port and it can't be used for loop detection etc.

Further, the Alt-Used header says the port number is optional. But what does 
it mean when you don't specify the port number? We don't provide a scheme or 
alpn to aid. It seems at least Firefox thinks no port implies port 443.

We found a service that didn't like when curl *includes* port 443 in that 
header when going from h2 port 443 to h3 port 443...

-- 

  / daniel.haxx.se